const roleHarvester = require('./role.harvester')
const roleTransporter = require('./role.transporter')
const roleBuilder = require('./role.builder')
const roleUpgrader = require('./role.upgrader')

global.ROLES = {
  harvester: {
    prio: 3,
    count: 3,
    module: roleHarvester,
    bodies: [
      [WORK, WORK, CARRY, MOVE],
      [WORK, WORK, WORK, WORK, WORK, WORK, CARRY, MOVE],
      [WORK, WORK, WORK, WORK, WORK, WORK, CARRY, MOVE, MOVE],
      [WORK, WORK, WORK, WORK, WORK, WORK, CARRY, MOVE, MOVE, MOVE],
      [WORK, WORK, WORK, WORK, WORK, WORK, CARRY, CARRY, MOVE, MOVE, MOVE],
      [WORK, WORK, WORK, WORK, WORK, WORK, CARRY, CARRY, MOVE, MOVE, MOVE, MOVE],
    ]
  },
  transporter: {
    prio: 4,
    count: 2,
    module: roleTransporter,
    bodies: [
      [CARRY, CARRY, MOVE],
      [CARRY, CARRY, MOVE, CARRY, CARRY, MOVE],
      [CARRY, CARRY, MOVE, CARRY, CARRY, MOVE, CARRY, CARRY, MOVE],
      [CARRY, CARRY, MOVE, CARRY, CARRY, MOVE, CARRY, CARRY, MOVE, CARRY, CARRY, MOVE],
    ]
  },
  builder: {
    prio: 5,
    count: 2,
    maxExpands: 4,
    module: roleBuilder,
    baseBody: [WORK, CARRY, MOVE, MOVE],
    expandBody: [WORK, CARRY, MOVE, MOVE],
  },
  upgrader: {
    prio: 6,
    count: 2,
    maxExpands: 4,
    module: roleUpgrader,
    baseBody: [WORK, CARRY, MOVE],
    expandBody: [WORK, WORK, MOVE],
  },
}
